POS365.VN APIs

<back to all web services

TaxOnboardingSave

Requires Authentication
The following routes are available for this service:
POST/api/taxonboard/onboard
TaxOnboardingSave Parameters:
NameParameterData TypeRequiredDescription
TaxOnboardbodyOnboardRequestNo
OnboardRequest Parameters:
NameParameterData TypeRequiredDescription
TaxCodeformstringNo
BrandNameformstringNo
PeriodTypeformbyteNo
OnboardingDateformDateTimeNo
RevenueThresholdformRevenueThresholdNo
TaxCalculationMethodformTaxCalculationMethodNo
RevenueThreshold Enum:
NameValue
Under500Million1enum_RevenueThreshold_Under500Million
From500MillionTo3Billion2enum_RevenueThreshold_From500MillionTo3Billion
Above3Billion3enum_RevenueThreshold_Above3Billion
From3BillionTo50Billion4enum_RevenueThreshold_From3BillionTo50Billion
Above50Billion5enum_RevenueThreshold_Above50Billion
TaxCalculationMethod Enum:
NameValue
Exempted1
PercentOnRevenue2
VatOnRevenuePitOnTaxableIncome3

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /api/taxonboard/onboard HTTP/1.1 
Host: api.pos365.vn 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	TaxOnboard: 
	{
		TaxCode: String,
		BrandName: String,
		PeriodType: 0,
		OnboardingDate: 0001-01-01,
		RevenueThreshold: 1,
		TaxCalculationMethod: 1
	}
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	
}